/* DirLister

		Copyright (c) 2002-2003 Olivier MILLA
			
		Designed & Programmed by Olivier MILLA (Methedras) 
								 methedras@online.fr
		  			  			 
	Source Code Provided under the Artistic License		  
*/
#include "CenterOnScreen.h"

// Useful for the next function
BPoint GetRectCenter(BRect frame)
{
	BPoint center;
	
	center.x = frame.Width()/2;
	center.y = frame.Height()/2;
	
	return center;
}

/* Centers any rect on the screen by returning the parameter BRect centered.
If you wish to create a new BRect centered, you can pass BRect(0,0,width,height)
as parameter */
BRect CenterRectOnScreen(BRect frame)
{
	BScreen screen;
	BRect screenFrame = screen.Frame();
	
	BPoint center = GetRectCenter(screenFrame);
	
	float width  = frame.Width();
	float height = frame.Height();
	
	float frame_l = center.x - width/2;
	float frame_t = center.y - height/2;
	float frame_r = center.x + width/2;
	float frame_b = center.y + height/2;
	
	frame = BRect(frame_l,frame_t,frame_r,frame_b);
	
	return frame;
}
